- [HTTP request](https://developers.google.com/colab/api/reference/rest/v1beta/runtimespecs/list#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/colab/api/reference/rest/v1beta/runtimespecs/list#body.request_body)
- [Response body](https://developers.google.com/colab/api/reference/rest/v1beta/runtimespecs/list#body.response_body)
  - [JSON representation](https://developers.google.com/colab/api/reference/rest/v1beta/runtimespecs/list#body.ListRuntimeSpecsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/colab/api/reference/rest/v1beta/runtimespecs/list#body.aspect)
- [RuntimeSpec](https://developers.google.com/colab/api/reference/rest/v1beta/runtimespecs/list#RuntimeSpec)
  - [JSON representation](https://developers.google.com/colab/api/reference/rest/v1beta/runtimespecs/list#RuntimeSpec.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/colab/api/reference/rest/v1beta/runtimespecs/list#try-it)

Lists available Colab runtime specs and their eligibility to the requesting user.

### HTTP request

`GET https://colaboratory.googleapis.com/v1beta/runtimespecs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

Response message for `runtimespecs.list`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "runtimeSpecs": [ { object (`https://developers.google.com/colab/api/reference/rest/v1beta/runtimespecs/list#RuntimeSpec`) } ] } ``` |

| Fields ||
|---|---|
| `runtimeSpecs[]` | ``object (`https://developers.google.com/colab/api/reference/rest/v1beta/runtimespecs/list#RuntimeSpec`)`` The list of runtime specs available to the requesting user. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/colaboratory`
- `
  https://www.googleapis.com/auth/colaboratory.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## RuntimeSpec

A specification of a runtime.

| JSON representation |
|---|
| ``` { "key": { object (`https://developers.google.com/colab/api/reference/rest/v1beta/runtimes#RuntimeSpec.Key`) }, "eligible": boolean } ``` |

| Fields ||
|---|---|
| `key` | ``object (`https://developers.google.com/colab/api/reference/rest/v1beta/runtimes#RuntimeSpec.Key`)`` Required. The key of the runtime spec. |
| `eligible` | `boolean` Output only. Whether the requesting user is eligible for the runtime spec. |